Sui
Create Staking Request
Create a request to stake tokens.
POST
/
api
/
v1
/
sui
/
{network}
/
staking
/
stake
Create Staking Request
curl --request POST \
--url https://api.p2p.org/api/api/v1/sui/{network}/staking/stake \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sender": "0x2c0def86e107ae6ca6a610b4188bb3c2802c30350ac01817be6a02d2a247faf5",
"amount": 1,
"gasPrice": 1000,
"gasBudget": 30000000
}
'import requests
url = "https://api.p2p.org/api/api/v1/sui/{network}/staking/stake"
payload = {
"sender": "0x2c0def86e107ae6ca6a610b4188bb3c2802c30350ac01817be6a02d2a247faf5",
"amount": 1,
"gasPrice": 1000,
"gasBudget": 30000000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
sender: '0x2c0def86e107ae6ca6a610b4188bb3c2802c30350ac01817be6a02d2a247faf5',
amount: 1,
gasPrice: 1000,
gasBudget: 30000000
})
};
fetch('https://api.p2p.org/api/api/v1/sui/{network}/staking/stake', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"result": {
"unsignedTransaction": "0xa404160200165874de804160c3cd013d9b6f4bba864657c4c2168a542f78ff14a0253873190200000000"
}
}{
"error": {
"code": 123,
"name": "ThrottlerException",
"message": "ThrottlerException",
"errors": [
{}
]
},
"result": null,
"requestId": "90c16e9e-6e99-4651-a033-60290356df2f",
"timestamp": "2026-05-20T22:29:03.126Z"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Sui network:
- `mainnet` — Sui mainnet.
- `testnet` — Sui testnet.
Available options:
mainnet, testnet Body
application/json
Staker account address.
Example:
"0x2c0def86e107ae6ca6a610b4188bb3c2802c30350ac01817be6a02d2a247faf5"
Amount of tokens to stake in MIST, Sui native token (1 SUI = 10⁹ MIST).
Required range:
x >= 1Example:
1
Price per unit of gas in MIST for processing the Sui transaction (1 MIST = 10⁹ SUI).
Example:
1000
Maximum gas limit for the transaction.
Example:
30000000
Create Staking Request
